发布时间 :2003-04-11 00:00:00
修订时间 :2008-09-05 16:30:36

[原文]The Google toolbar 1.1.58 and earlier allows remote web sites to perform unauthorized toolbar operations including script execution and file reading in other zones such as "My Computer" by opening a window to or the res: protocol, then using script to modify the window's location to the toolbar's configuration URL, which bypasses the origin verification check.



- CVSS (基础分值)

CVSS分值: 7.5 [严重(HIGH)]
机密性影响: PARTIAL [很可能造成信息泄露]
完整性影响: PARTIAL [可能会导致系统文件被修改]
可用性影响: PARTIAL [可能会导致性能下降或中断资源访问]
攻击复杂度: LOW [漏洞利用没有访问限制 ]
攻击向量: [--]
身份认证: NONE [漏洞利用无需身份认证]

- CPE (受影响的平台与产品)

cpe:/a:google:toolbar:1.1.58Google Google Toolbar 1.1.58
cpe:/a:google:toolbar:1.1.53Google Google Toolbar 1.1.53
cpe:/a:google:toolbar:1.1.57Google Google Toolbar 1.1.57
cpe:/a:google:toolbar:1.1.55Google Google Toolbar 1.1.55
cpe:/a:google:toolbar:1.1.54Google Google Toolbar 1.1.54
cpe:/a:google:toolbar:1.1.44Google Google Toolbar 1.1.44
cpe:/a:google:toolbar:1.1.41Google Google Toolbar 1.1.41
cpe:/a:google:toolbar:1.1.43Google Google Toolbar 1.1.43
cpe:/a:google:toolbar:1.1.48Google Google Toolbar 1.1.48
cpe:/a:google:toolbar:1.1.42Google Google Toolbar 1.1.42
cpe:/a:google:toolbar:1.1.47Google Google Toolbar 1.1.47
cpe:/a:google:toolbar:1.1.49Google Google Toolbar 1.1.49
cpe:/a:google:toolbar:1.1.45Google Google Toolbar 1.1.45
cpe:/a:google:toolbar:1.1.56Google Google Toolbar 1.1.56

- OVAL (用于检测的技术细节)


- 官方数据库链接
(官方数据源) MITRE
(官方数据源) NVD
(官方数据源) CNNVD

- 其它链接及资源
(VENDOR_ADVISORY)  BUGTRAQ  20020808 Exploiting the Google toolbar (GM#001-MC)
(UNKNOWN)  NTBUGTRAQ  20020808 Exploiting the Google toolbar (GM#001-MC)

- 漏洞信息

高危 设计错误
2003-04-11 00:00:00 2005-10-20 00:00:00

- 公告与补丁

        An updated version of the toolbar is available at Users may also upgrade through the Google Toolbar automatic update feature.

- 漏洞信息

Google Toolbar Cross-Domain Scripting

- 漏洞描述

Unknown or Incomplete

- 时间线

2002-08-08 Unknow
Unknow Unknow

- 解决方案

Unknown or Incomplete

- 相关参考

- 漏洞作者

Unknown or Incomplete

- 漏洞信息

Google Toolbar Unauthorized JavaScript Configuration Modification Vulnerability
Design Error 5424
Yes No
2002-08-08 12:00:00 2009-07-11 02:56:00
Published by GreyMagic Software <>.

- 受影响的程序版本

Google Toolbar 1.1.58
Google Toolbar 1.1.57
Google Toolbar 1.1.56
Google Toolbar 1.1.55
Google Toolbar 1.1.54
Google Toolbar 1.1.53
Google Toolbar 1.1.49
Google Toolbar 1.1.48
Google Toolbar 1.1.47
Google Toolbar 1.1.45
Google Toolbar 1.1.44
Google Toolbar 1.1.43
Google Toolbar 1.1.42
Google Toolbar 1.1.41
Google Toolbar 1.1.60
Google Toolbar 1.1.59

- 不受影响的程序版本

Google Toolbar 1.1.60
Google Toolbar 1.1.59

- 漏洞讨论

The Google Toolbar is an ActiveX control for Microsoft Internet Explorer, which provides functionality related to the Google search engine.

It is possible to modify configuration settings by visiting a specific URL that accepts commands as CGI parameters. A malicious script may directly access this URL by redirecting a page which references a trusted site, such as the domain. It is possible to modify the toolbar configuration, and to execute arbitrary script code, possibly within the Local System security zone.

- 漏洞利用

Sample exploits have been provided by GreyMagic Software &lt;; at the following location:

- 解决方案

An updated version of the toolbar is available at Users may also upgrade through the Google Toolbar automatic update feature.

- 相关参考